<template lang='pug'>
BaseDialog.x-create-direct-dialog(ref='dialog' title='Add Direct')
  template(v-if='query')
    BaseAnimationGroup.row.justify-content-center(anim="height")
      .col-12(key='query')
        .input-group.input-group-sm
          .input-group-prepend
            button.text-monospace.btn.btn-secondary(type='button' disabled='1') query-selector
          span.form-control.text-truncate.right.text-monospace.shadow-none(type='text' readonly='1' :value='query') {{ query }}
      .col-12(key='typeDirect')
        .row
          .col-12
            ErrorList(ref='errList')
          .col-12
            Input.p-0(ref='attribute-name' name='attribute-name' :inEdit='true' @edit='checkValidity')
              template(#default='d')
                datalist(:id='svgAttributesId')
                  option textContent
                  option opacity
                  option width
                  option height
                  option color
                  option background-color
                  option offset
                  option cx
                  option cy
                  option r
                  option radius
                  option rx
                  option ry
                  option rotate
                  option dx
                  option dy
                  option fill
                  option fill-opacity
                  option stroke
                  option stroke-width
                  option scale
                  option x
                  option y
                  option z
                input(type='text' v-model='d.$data.editValue' :list='svgAttributesId')
          .col-12.col-md-6
            Input.p-0(ref='attribute-type' name='attribute-type' :inEdit='true')
              template(#default='d')
                select(v-model='d.$data.editValue')
                  option(value='' selected='1') (no set)
                  option(value='auto') auto
                  option(value='CSS') CSS
                  option(value='XML') XML
          .col-12.col-md-6
            Input.p-0(ref='calc-mode' name='calc-mode' :inEdit='true')
              template(#default='d')
                select(v-model='d.$data.editValue')
                  option(value='' selected='1') (no set)
                  option(value='linear') linear
                  option(value='discrete') discrete
          .col-12.d-flex.align-items-center
            Input.p-0.flex-grow-1(ref='onupdate' name='onupdate' value="$value" :inEdit='true')
              template(#default='d')
                input(type='text' v-model='d.$data.editValue')
            div
              button.btn.btn-sm.btn-outline-info.mx-1(title='info' @click='showInfo = !showInfo')
                i.fa.fa-question-circle
      .col-12.mt-2(key='info' v-if='showInfo')
        InfoAlert.w-100
          p
            | The #[span.text-dark onupdate] is evaluated as Javascript, it
            | is recommended to use lightweight text-formatting computations, such
            | as #[a(href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String" target="_blank" rel="noopener") String]
            | or #[a(href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Number" target="_blank" rel="noopener") Number]
            | methods.
          p Example #[span.text-dark onupdate] values:
          ul
            mixin example(code)
              | #[code= code] #[i.fa.fa-arrow-circle-left.b-clickable(title='set' @click='$refs.onupdate.editValue="' + code + '"')]

            li Text with a custom suffix: #[+example("`${$value} C`")]
            li Number with 2 decimal notation and suffix: #[+example("`${Number.parseFloat($value).toFixed(2)} C`")]
            li Number with 2 decimal notation and suffix and padding: #[+example("`${Number.parseFloat($value).toFixed(2)} C`.padStart(8)")]

  template(v-slot:footer='d')
    button.btn.btn-secondary(@click='d.resolve(false)') Cancel
    button.btn.btn-primary(:disabled='!isValid' @click='d.resolve(true)') Create
</template>
<script src='./CreateDirectDialog.vue.js' />
<style lang="scss">
.x-create-direct-dialog {
  .row {
    align-items: flex-end !important;
  }
}
</style>
